Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 458654 - Review Request: perl-Text-Aligner - Text::Aligner Perl module
Summary: Review Request: perl-Text-Aligner - Text::Aligner Perl module
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://mmaslano.fedorapeople.org/perl...
Whiteboard:
Depends On:
Blocks: 458655
TreeView+ depends on / blocked
 
Reported: 2008-08-11 11:57 UTC by Marcela Mašláňová
Modified: 2014-09-17 07:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-13 07:18:19 UTC
Type: ---
panemade: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Marcela Mašláňová 2008-08-11 11:57:36 UTC
Text::Aligner exports a single function, align(), which is used to justify strings to various alignment styles. The alignment specification is the first argument, followed by any number of scalars which are subject to alignment.
The operation depends on context. In list context, a list of the justified scalars is returned. In scalar context, the justified arguments are joined into a single string with newlines appended. The original arguments remain unchanged. In void context, in-place justification is attempted. In this case, all arguments must be lvalues.
Align() also does one level of scalar dereferencing. That is, whenever one of the arguments is a scalar reference, the scalar pointed to is aligned instead. Other references are simply stringified. An undefined argument is interpreted as an empty string without complaint.

http://mmaslano.fedorapeople.org/perl-Text-Aligner/perl-Text-Aligner-0.03-1.fc9.src.rpm

Comment 1 Parag AN(पराग) 2008-08-11 13:51:07 UTC
Review:
+ package builds in mock (rawhide i386).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=770263
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
dd329d4e7e0ef200fd1f653ac9e828e0  Text-Aligner-0.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=504,  0 wallclock secs ( 0.12 usr  0.01 sys +  0.09 cusr  0.01 csys =  0.23 CPU)
+ Package  perl-Text-Aligner-0.03-1.fc10
  Provides: perl(Text::Aligner) = 0.03 perl(Text::Aligner::Auto) perl(Text::Aligner::MaxKeeper)
  Requires: perl(Exporter) perl(strict) perl(vars) perl(warnings)

APPROVED.

Comment 2 Marcela Mašláňová 2008-08-11 14:02:10 UTC
New Package CVS Request
=======================
Package Name: perl-Text-Aligner
Short Description: Text::Aligner Perl module
Owners: mmaslano
Branches: F-10
InitialCC: fedora-perl-devel-list@redhat.com
Cvsextras Commits: yes

Comment 3 Kevin Fenzi 2008-08-11 17:25:37 UTC
cvs done.

Comment 4 Jitka Plesnikova 2014-09-16 12:16:38 UTC
Package Change Request
======================
Package Name: perl-Text-Aligner
New Branches: epel7
Owners: dfateyev
InitialCC: 

I am current package owner. 
Denis Fateyev requested epel7 branch at BZ#1141587.

Comment 5 Jens Petersen 2014-09-17 06:57:05 UTC
Git done (by process-git-requests).

(I am not sure how Perl SIG is handling perl-sig in pkgdb.)

Comment 6 Ralf Corsepius 2014-09-17 07:33:23 UTC
(In reply to Jens Petersen from comment #5)
> Git done (by process-git-requests).
> 
> (I am not sure how Perl SIG is handling perl-sig in pkgdb.)

perl-sig added "watchbugzilla" and "watchcommits".

Packages with "InitialCC: fedora-perl-devel-list@redhat.com" likely predate perl-sig. Seems to me as if at least some of these pkgdb entries got lost in thoughtout some "PkgDB redesigns" (Read: The PkgDB seems to suffer from corruption).


Note You need to log in before you can comment on or make changes to this bug.